Cisco Security Advisory: Cisco Unified Presence Denial of Service Vulnerabilities

2010 年 8 月 25 日 - ライター翻訳版
その他のバージョン: PDFpdf | 英語版 (2010 年 8 月 25 日) | フィードバック


Advisory ID: cisco-sa-20100825-cup

http://www.cisco.com/warp/public/707/cisco-sa-20100825-cup.shtml

日本語による情報は、英語による原文の非公式な翻訳であり、英語原文との間で内容の齟齬がある場合には、英語原文が優先します。

Revision 1.0

For Public Release 2010 August 25 1600 UTC (GMT)


要約

Cisco Unified Presence に、Session Initiation Protocol(SIP; セッション開始プロトコル)メッセージの処理に影響する、Denial of Service(DoS; サービス拒絶)の脆弱性が 2 つ存在します。これらの脆弱性が不正利用されると、プレゼンス サービスの中断が引き起こされる可能性があります。

シスコはこれらの脆弱性に対応するための無償ソフトウェア アップデートを提供しています。この脆弱性に対する回避策はありません。

このアドバイザリは次のリンクに掲載されます。 http://www.cisco.com/warp/public/707/cisco-sa-20100825-cup.shtml

該当製品

脆弱性が存在する製品

次の製品はこの脆弱性の影響を受けます。

  • 6.0(7) よりも前の Cisco Presence 6.0 バージョン
  • 7.0(8) よりも前の Cisco Presence 7.0 バージョン

注:すべての脆弱性に対するソフトウェアの修正を含めて出荷される Cisco Unified Presence version 8.0(1) については、本アドバイザリで説明しています。

Cisco Unified Presence を実行しているシステムの管理者は、Cisco Unified Presence Administration インターフェイスのメインページの表示によってソフトウェア バージョンを確認できます。Command Line Interface(CLI; コマンドライン インターフェイス)を使ってコマンド show version active を実行することで、ソフトウェア バージョンを判別することができます。

脆弱性が存在しない製品

他のシスコ製品においてこのアドバイザリの影響を受けるものは、現在確認されていません。

詳細

Cisco Unified Presence には、SIP メッセージの処理に関係する DoS 脆弱性が 2 つ存在します。各脆弱性は不正な SIP メッセージによって引き起こされ、重要な処理が失敗し、結果としてプレゼンス サービスの中断が発生することがあります。すべての SIP ポート(TCP ポート 5060 および 5061、UDP ポート 5060 および 5061)が影響を受けます。

1 つ目の SIP DoS 脆弱性は Cisco bug ID CSCtd14474 として文書化され、CVE ID として CVE-2010-2839 が割り当てられています。この脆弱性は Cisco Unified Presence バージョン 6.0(7) および 7.0(8) で修正されています。

2 つ目の SIP DoS 脆弱性は Cisco bug ID CSCtd39629 として文書化され、CVE ID として CVE-2010-2840 が割り当てられています。この脆弱性は Cisco Unified Presence バージョン 6.0(7) および 7.0(8) で修正されています。

脆弱性スコアの詳細

シスコはこのアドバイザリでの脆弱性に対して Common Vulnerability Scoring System(CVSS)に基づいたスコアを提供しています。このセキュリティ アドバイザリでの CVSS スコアは CVSS バージョン 2.0 に基づいています。

CVSS は、脆弱性の重要度を示唆するもので、緊急性および対応の優先度を決定する手助けとなる標準ベースの評価法です。

シスコは基本評価スコア(Base Score)および現状評価スコア(Temporal Score)を提供しています。お客様はこれらを用いて環境評価スコア(Environmental Score)を算出し、個々のネットワークにおける脆弱性の影響度を導き出すことができます。

シスコは次の URL にて CVSS に関する FAQ を提供しています。

http://www.cisco.com/web/about/security/intelligence/cvss-qandas.html

また、シスコは個々のネットワークにおける環境影響度を算出する CVSS 計算ツールを次の URL にて提供しています。

http://tools.cisco.com/security/center/cvssCalculator.x

CSCtd14474 - SIPD Coredumps due to Possible Stack Corruption During Fuzzing ( registered customers only)

Calculate the environmental score of CSCtd14474

CVSS Base Score - 7.8

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

None

None

Complete

CVSS Temporal Score - 6.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed

CSCtd39629 - PE Coredump On Subscribe Message with Contact Field Error ( registered customers only)

Calculate the environmental score of CSCtd39629

CVSS Base Score - 7.8

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

None

None

Complete

CVSS Temporal Score - 6.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed

影響

これら脆弱性のいずれかが悪用されると、プレゼンス サービスの中断が発生することがあります。Cisco Unified Presence は影響を受けた処理を再起動しますが、攻撃が繰り返されることによって、結果としてサービス拒否(DoS)状態になる可能性があります。

ソフトウェアのバージョンおよび修正

ソフトウェアのアップグレードを検討する際には、 http://www.cisco.com/go/psirt/ および本アドバイザリ以降に公開のアドバイザリも参照して、起こりうる障害と完全なアップグレード ソリューションを判断してください。

いずれの場合も、アップグレードするデバイスに十分なメモリがあること、および現在のハードウェアとソフトウェアの構成が新しいリリースで引き続き適切にサポートされていることの確認を十分に行ってください。情報が不明確な場合は、Cisco Technical Assistance Center(TAC)もしくは契約しているメンテナンス プロバイダーにお問い合わせください。

Cisco Unified Presence Version

Recommended Release

6.0

6.0(7)

7.0

7.0(8)

Cisco Unified Presence ソフトウェアは、次のリンク先からダウンロードできます。

http://tools.cisco.com/support/downloads/go/Redirect.x?mdfid=280448682

回避策

このアドバイザリに記載されている脆弱性に対する回避策はありません。

スクリーニング デバイスでフィルタリングを実装し、TCP ポート 5060 と 5061、および UDP ポート 5060 と 5061 へのアクセスを、Cisco Unified Communications Manager サーバへの SIP アクセスが必要なネットワークからのみに制限することで、この脆弱性を緩和できます。

ネットワーク内のシスコ デバイスに適用可能な他の対応策は、このアドバイザリの付属ドキュメントである『Cisco Applied Mitigation Bulletin』にて参照できます。

http://www.cisco.com/warp/public/707/cisco-amb-20100825-cucm-cup.shtml

修正済みソフトウェアの取得

シスコはこれらの脆弱性に対応するための無償ソフトウェア アップデートを提供しています。ソフトウェアの導入を行う前にお客様のメンテナンス プロバイダーにご相談いただくかソフトウェアのフィーチャ セットの互換性およびお客様のネットワーク環境に特有の問題に関してご確認下さい。

お客様がインストールしたりサポートを受けたりできるのは、ご購入いただいたフィーチャ セットに対してのみとなります。そのようなソフトウェア アップグレードをインストール、ダウンロード、アクセスまたはその他の方法で使用した場合、お客様は http://www.cisco.com/en/US/docs/general/warranty/English/EU1KEN_.html または Cisco.com ダウンロード サイト http://www.cisco.com/public/sw-center/sw-usingswc.shtml で関連する TCB を消去すれば削除できます。

ソフトウェアのアップグレードに関し、psirt@cisco.com もしくは security-alert@cisco.com にお問い合わせいただくことはご遠慮ください。

サービス契約をご利用のお客様

サービス契約をご利用のお客様は、通常のアップデート チャネルからアップグレード ソフトウェアを入手してください。ほとんどのお客様は、シスコのワールドワイド Web サイト上の Software Center からアップグレードを入手することができます。 http://www.cisco.com

サードパーティのサポート会社をご利用のお客様

シスコ パートナー、正規販売代理店、サービス プロバイダーなど、サードパーティのサポート会社と以前に契約していたか、または現在契約しており、その会社からシスコ製品の提供または保守を受けているお客様は、該当するサポート会社に連絡し、本脆弱性に関する適切な処置について指示と支援を受けてください。

回避策の効果は、使用製品、ネットワーク トポロジー、トラフィックの性質や組織の目的などのお客様の状況に依存します。影響製品が多種多様であるため、回避策を実際に展開する前に、対象とするネットワークで適用する回避策が最適であるか、お客様のサービス プロバイダーやサポート会社にご相談ください。

サービス契約をご利用でないお客様

シスコから直接購入したがシスコのサービス契約をご利用いただいていない場合、また、サードパーティ ベンダーから購入したが修正済みソフトウェアを購入先から入手できない場合は、Cisco Technical Assistance Center(TAC)に連絡してアップグレードを入手してください。TAC の連絡先は次のとおりです。

  • +1 800 553 2447(北米内からのフリー ダイヤル)
  • +1 408 526 7209(北米以外からの有料通話)
  • 電子メール:tac@cisco.com

無償アップグレードの対象であることをご証明いただくために、製品のシリアル番号と、このお知らせの URL をご用意ください。サービス契約をご利用でないお客様に対する無償アップグレードは、TAC 経由でご要求いただく必要があります。

さまざまな言語向けの各地の電話番号、説明、電子メール アドレスなどの、この他の TAC の連絡先情報については、 http://www.cisco.com/en/US/support/tsd_cisco_worldwide_contacts.html を参照してください。

不正利用事例と公式発表

Cisco PSIRT では、本アドバイザリに記載されている脆弱性の不正利用事例とその公表は確認しておりません。

本アドバイザリで説明したすべての脆弱性は、シスコ内部でのテストによって発見されました。

この通知のステータス:FINAL

本アドバイザリは無保証のものとしてご提供しており、いかなる種類の保証を示唆するものでもありません。本アドバイザリの情報およびリンクの使用に関する責任の一切はそれらの使用者にあるものとします。またシスコシステムズはいつでも本ドキュメントの変更や更新を実施する権利を有します。

後述する情報配信の URL を省略し、本アドバイザリの記述内容に関して、単独の転載や意訳を実施した場合には、事実誤認ないし重要な情報の欠落を含む統制不可能な情報の伝搬が行われる可能性があります。

情報の配信

本アドバイザリは、次のシスコのワールドワイド Web サイト上に掲載されます。

http://www.cisco.com/warp/public/707/cisco-sa-20100825-cup.shtml

ワールドワイド Web 以外にも、次の電子メールおよび Usenet ニュースの受信者向けに、この通知のテキスト版が Cisco PSIRT PGP キーによるクリア署名つきで投稿されています。

  • cust-security-announce@cisco.com
  • first-bulletins@lists.first.org
  • bugtraq@securityfocus.com
  • vulnwatch@vulnwatch.org
  • cisco@spot.colorado.edu
  • cisco-nsp@puck.nether.net
  • full-disclosure@lists.grok.org.uk
  • comp.dcom.sys.cisco@newsgate.cisco.com

このアドバイザリに関する今後の更新は、いかなるものもシスコのワールドワイド Web サイトに掲載される予定です。 しかしながら、前述のメーリング リストもしくはニュースグループに対し 積極的に配信されるとは限りません。この問題に関心があるお客様は上記 URL にて最新情報を ご確認いただくことをお勧めいたします。

更新履歴

Revision 1.0

2010-August-25

Initial public release.

シスコのセキュリティ手順

シスコ製品におけるセキュリティの脆弱性の報告、セキュリティ事故に関する支援、およびシスコからセキュリティ情報を入手するための登録方法について詳しく知るには、シスコ ワールドワイド Web サイトの http://www.cisco.com/en/US/products/products_security_vulnerability_policy.html にアクセスしてください。このページには、シスコのセキュリティ通知に関してメディアが問い合わせる際の指示が掲載されています。すべてのシスコ セキュリティ アドバイザリは http://www.cisco.com/go/psirt/ で確認することができます。